// ethernetDlg.h : header file
//

#if !defined(AFX_ETHERNETDLG_H__5AC165D7_50CB_404E_8B3C_499AE2AE37B4__INCLUDED_)
#define AFX_ETHERNETDLG_H__5AC165D7_50CB_404E_8B3C_499AE2AE37B4__INCLUDED_

#include "MySocket.h"	// Added by ClassView
#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CEthernetDlg dialog

class CEthernetDlg : public CDialog
{
// Construction
public:
	void OnClose();
	void OnReceive();
	void OnSend();
	void OnConnect();
	void OnAccept();
	CEthernetDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CEthernetDlg)
	enum { IDD = IDD_ETHERNET_DIALOG };
	CListBox	m_ctlSent;
	CListBox	m_ctlRecvd;
	CButton	m_ctlConnect;
	CString	m_strMessage;
	CString	m_strName;
	int		m_iPort;
	int		m_iType;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CEthernetDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CEthernetDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnRType();
	afx_msg void OnBconnect();
	afx_msg void OnBsend();
	afx_msg void OnBclose();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	CMySocket m_sConnectSocket;
	CMySocket m_sListenSocket;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_ETHERNETDLG_H__5AC165D7_50CB_404E_8B3C_499AE2AE37B4__INCLUDED_)
